RubyGems Navigation menu

ruby-ulid 0.1.5

The ULID(Universally Unique Lexicographically Sortable Identifier) has useful specs for applications (e.g. `Database key`), especially possess all `uniqueness`, `randomness`, `extractable timestamps` and `sortable` features. This gem aims to provide the generator, monotonic generator, parser and handy manipulation features around the ULID. Also providing `ruby/rbs` signature files.

Versions:

  1. 0.1.6 - July 05, 2021 (22.5 KB)
  2. 0.1.5 - May 26, 2021 (22.5 KB)
  3. 0.1.4 - May 17, 2021 (22.5 KB)
  4. 0.1.3 - May 16, 2021 (22 KB)
  5. 0.1.2 - May 15, 2021 (21 KB)
Show all versions (26 total)

Development Dependencies (14):

  • benchmark-ips >= 2.9.1, < 3
  • irb >= 1.3.5, < 2.0
  • irb-power_assert = 0.0.2
  • rake >= 13.0.3, < 20.0
  • rbs >= 1.2.0, < 2.0
  • rubocop >= 1.15.0, < 1.16.0
  • rubocop-md >= 1.0.1, < 2.0.0
  • rubocop-performance >= 1.11.3, < 1.12.0
  • rubocop-rake >= 0.5.1, < 0.6.0
  • rubocop-rubycw >= 0.1.6, < 0.2.0
  • steep >= 0.44.1, < 0.50.0
  • test-unit >= 3.4.1, < 4.0
  • warning >= 1.2.0, < 2.0
  • yard >= 0.9.26, < 2
  • Owners:

    Pushed by:

    Authors:

    • Kenichi Kamiya

    SHA 256 checksum:

    81f9f29b74b1220ec6fe9a3fa3b27627017d7e94cae9917427a1705af1289bf6

    Total downloads 7,030

    For this version 332

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.6.0

    Links: